Windows Report Tool overview

Windows Report Tool collects information about your computer that can be used by technical support professionals to diagnose and troubleshoot problems on your computer.

Windows Report Tool takes a snapshot of your computer settings and selected system and program files. This snapshot can be submitted to a computer manufacturer, software vendor, or technical support professional in various ways. Windows Report Tool is meant solely for use by technical support professionals to assist them in troubleshooting your problems. If you are seeking information about your computer or Windows, open Computer Management.

Your technical support provider may administer Windows Report Tool information from its Internet site. If your provider offers e-mail support, you can save the report locally on your computer and then send it as an attachment in e-mail with your support request.

Notes

  • To open Computer Management, click Start, point to Settings, and then click Control Panel. Double-click Administrative Tools, and then double-click Computer Management.
  • For information about using Computer Management, click the Action menu in Computer Management, and then click Help.

Related Topics


Describe a problem

To describe a problem

  1. In the Windows Report Tool dialog box, describe your problem in the following fields:
    • In the Problem description field, type a brief description of the problem, including the exact title and text of any error messages you see.
    • In the Expected results field, describe what you expected to happen as well as what actually occurred.
    • In the Steps to reproduce the problem field, list and number the detailed steps required to duplicate the problem.
  2. On the Options menu, click Collected Information.
  3. In the Files to Copy list, click to select the check box next to each file that is relevant to your report.

    Selected files appear with an X in their associated check boxes.

Notes

  • By default, Windows Report Tool does not include any additional files in the Files to copy list. To include only your problem report and system information, click OK. To include all the files, click Select All.
  • The Windows Report Tool automatically includes all your computer's system settings in the report.
  • If you tried to fix the problem before creating and saving a report, the system settings in the report won't reflect the state of your computer when the problem occurred. If possible, restore the original settings, and reproduce the problem before you submit the report.


Create and submit a report

To create and submit a report

  1. In the Windows Report Tool dialog box, describe the problem, verify the files to be copied, and then click Next.
  2. If you see a Web page, follow the instructions on the Web page for submitting your report.

    If you see a message asking you to save the report to a location on your local computer, save the report and continue to the next step of this procedure.

  3. Contact your support provider for specific instructions about submitting your report. If your support provider takes e-mail support requests, you can send the report as an attachment in e-mail.

    For more information on submitting reports to Microsoft, see online product support at the Microsoft Web site. (http://www.microsoft.com/)

Note

  • To verify the files to be copied, click Change System File Selections and review the files that are selected in the Files to copy list.


Save a report

To save a report

  • On the File menu, click Save.

Note

  • To save your reports automatically when you send them to your technical support provider, on the Options menu, click Auto Save On Submit. A check mark appears next to this option when it is selected.


Edit a report

To edit a report

  1. On the File menu, click Open.
  2. In the Open dialog box, click the file name for the report you want to edit, and then click Open.
  3. In the Windows Report Tool dialog box, you can do the following:
    • Edit the report's description, expected results, and steps to reproduce.
    • Change the relevant files selected for the report by clicking the Options menu and then clicking Collected Information.
  4. When the edited report is complete, click Next.

Note

  • To save your reports automatically when you send them to your technical support provider, on the Options menu, click Auto Save On Submit. A check mark appears next to this option when it is selected.


Print a report

To print a report

  • On the File menu, click Print.

Note

  • You can also print reports that have been saved.


Provide accurate computer settings in a report

Providing accurate computer settings in a report

When you create a report, Windows Report Tool automatically copies all current system information from your computer. If you create the report immediately after the problem occurs, the system settings that were in effect when the problem occurred will be saved and you don't need to do anything else.

However, if you attempt to fix the problem and then decide to report it later, your computer settings will be different from those that were in effect when the problem occurred. Submitting such a report will provide inaccurate information.

If you lose your Internet connection, save your report to a floppy disk. Then, open the report on another computer, and submit it from there.


Clear your report history

To clear your report history

  1. On the File menu, click History.
  2. In the Submitted Report History dialog box, click Clear History.

Note

  • Clearing your report history does not delete any reports that you saved to your computer or any reports that were previously sent.


Exclude files from a report

To exclude files from a report

  1. On the Options menu, click Collected Information.
  2. In the Files to copy list, clear the check box next to each file that you want to exclude from your report, and then click OK.

Note

  • To exclude all files from a report, click Clear All.


Include additional files with your report

To include additional files with your report

  1. On the Options menu, click Collected Information.
  2. Click Add.
  3. In the Select File To Include dialog box, find the file you want to include, and then click Open.

    4. The file appears as a selected file in the Files to copy list.


Submit a report without your Internet connection

To submit a report without your Internet connection

  1. Create a report on your computer.
  2. Insert a disk into your computer's floppy disk drive.
  3. On the File menu, click Save As.
  4. In the Save in list, click the name of your computer's floppy disk drive, type a descriptive name in the File name box, and then click Save.
  5. Remove the disk from your floppy disk drive and insert it into the floppy disk drive of a computer with an Internet connection. Start the reporting process by going to your technical support provider's Web site, or follow the procedure provided by your technical support provider.

Note

  • To use Windows Report Tool to open a report saved on floppy disk, on the File menu, click Open, and then select the file on your floppy disk. Click Open, and then in the Windows Report Tool dialog box, click Next.


Start Windows Report Tool

To Start Windows Report Tool

  1. Click Start, and then click Run.
  2. In the Open box, type winrep, and then click OK.

Note

  • Windows Report Tool is meant to be used solely for assisting a technical support professional in troubleshooting your problems. If you are seeking system information, click Start, point to Programs, point to Administrative Tools, and then click Event Viewer.


Update your name and address

To update your name and address

  1. On the Options menu, click User Information.
  2. In the User Information dialog box, type the correct information, and then click OK.

Notes

  • Previous changes made to the name or e-mail address in the Submit Report dialog box will override the information in the User Information dialog box.
  • To specify a proxy server for connecting to the Internet, click to clear the Use Internet Explorer browser settings check box, and then enter the Internet proxy server name and port number.
  • If you are connecting to the Internet through a proxy server that does not support binary data, click to select the Use alternate data format proxy server check box.